Subject: Re: bug#43397: 28.0.50; Adding tool bar items: update tool bar

From: Eli Zaretskii <[email-masked]>
Date: Wed, 16 Sep 2020 05:26:30 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Caio Henrique <[email-masked]>,  [email-masked]
> Date: Tue, 15 Sep 2020 16:05:53 -0400
> 
> > Maybe Stefan (CC'ed) can help us understand why this happens and how
> > GC is involved in this...
> 
> I'm afraid I don't know much more than you do here.

We are basically talking about modifying a keymap, since this is what
tool-bar-add-item and friends do.  The question is: why isn't the
modified keymap immediately visible? why does the old keymap continue
to be visible until the next GC?

> `compact_font_caches` maybe?

I will look there, thanks.